# NAME

gpm - Go Package Manager

# SYNOPSIS

gpm

```
[--database|-d]=[value]
[--server|-s]=[value]
[--token|-t]=[value]
```

**Usage**:

```
gpm [GLOBAL OPTIONS] command [COMMAND OPTIONS] [ARGUMENTS...]
```

# GLOBAL OPTIONS

**--database, -d**="": path to gpm database for server (default: `${USERCONFIG}/gpm.db` or `${BINPATH}/gpm.db`)

**--server, -s**="": gpm server to use (default: https://gpm.jolheiser.com)

**--token, -t**="": gpm auth token to use


# COMMANDS

## add, a

Add a package

**--force, -f**: Overwrite existing package without prompt

**--local, -l**: local mode

## get, g

Get package(s)

## list, ls, l

List local packages

## remove, rm

Remove package(s)

## search, s

Search packages

## server, web

Start the gpm server

**--port, -p**="": Port to run the gpm server on (default: 3333)

## update, u

Update a package

**--local, -l**: local mode
